from django.db import models

class Uf(models.Model):
	descricao = models.CharField(max_length=20)
	uf = models.CharField(max_length=2)

class Cidade(models.Model):
	uf = models.ForeignKey(Uf)
	descricao = models.CharField(max_length=100)

class Inscricao(models.Model):
	usuario = models.CharField(max_length=100)
	senha = models.TextField()
	nome = models.CharField(max_length=250)
	email = models.CharField(max_length=100)
	cpf = models.CharField(max_length=11)
	sexo = models.CharField(max_length=1)
	cidade = models.ForeignKey(Cidade)
	telefone = models.CharField(max_length=20)
	celular = models.CharField(max_length=20)
	nome_cracha = models.CharField(max_length=30)
	isento = models.BooleanField()
	data = models.DateField(auto_now=True)

class Caravana(models.Model):
	coordenador = models.ForeignKey(Inscricao)
	cidade = models.ForeignKey(Cidade)
	vagas = models.IntegerField()
	descricao = models.TextField()
	isencoes = models.IntegerField()

class CaravanaInscricao(models.Model):
	caravana = models.ForeignKey(Caravana)
	inscricao = models.ForeignKey(Inscricao)
	estado = models.SmallIntegerField()
